////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____ 
//  /   /\/   / 
// /___/  \  /    Vendor: Xilinx 
// \   \   \/     Version : 14.7
//  \   \         Application : sch2hdl
//  /   /         Filename : TIGARI_CTRL.vf
// /___/   /\     Timestamp : 07/05/2020 21:18:53
// \   \  /  \ 
//  \___\/\___\ 
//
//Command: sch2hdl -intstyle ise -family xc9500xl -verilog E:/ElektroSoft/Xilinx/PROJECTS/TIGari/TIGari/TIGARI_CTRL.vf -w E:/ElektroSoft/Xilinx/PROJECTS/TIGari/TIGari/TIGARI_CTRL.sch
//Design Name: TIGARI_CTRL
//Device: xc9500xl
//Purpose:
//    This verilog netlist is translated from an ECS schematic.It can be 
//    synthesized and simulated, but it should not be modified. 
//
`timescale 1ns / 1ps

module FD_MXILINX_TIGARI_CTRL(C, 
                              D, 
                              Q);

   parameter INIT = 1'b0;
   
    input C;
    input D;
   output Q;
   
   wire XLXN_4;
   
   GND  I_36_43 (.G(XLXN_4));
   FDCP  U0 (.C(C), 
            .CLR(XLXN_4), 
            .D(D), 
            .PRE(XLXN_4), 
            .Q(Q));
endmodule
`timescale 1ns / 1ps

module FDC_MXILINX_TIGARI_CTRL(C, 
                               CLR, 
                               D, 
                               Q);

   parameter INIT = 1'b0;
   
    input C;
    input CLR;
    input D;
   output Q;
   
   wire XLXN_5;
   
   GND  I_36_55 (.G(XLXN_5));
   FDCP  U0 (.C(C), 
            .CLR(CLR), 
            .D(D), 
            .PRE(XLXN_5), 
            .Q(Q));
endmodule
`timescale 1ns / 1ps

module BUFT8_MXILINX_TIGARI_CTRL(I, 
                                 T, 
                                 O);

    input [7:0] I;
    input T;
   output [7:0] O;
   
   
   BUFT  I_36_30 (.I(I[0]), 
                 .T(T), 
                 .O(O[0]));
   BUFT  I_36_31 (.I(I[1]), 
                 .T(T), 
                 .O(O[1]));
   BUFT  I_36_32 (.I(I[2]), 
                 .T(T), 
                 .O(O[2]));
   BUFT  I_36_33 (.I(I[3]), 
                 .T(T), 
                 .O(O[3]));
   BUFT  I_36_34 (.I(I[7]), 
                 .T(T), 
                 .O(O[7]));
   BUFT  I_36_35 (.I(I[6]), 
                 .T(T), 
                 .O(O[6]));
   BUFT  I_36_36 (.I(I[5]), 
                 .T(T), 
                 .O(O[5]));
   BUFT  I_36_37 (.I(I[4]), 
                 .T(T), 
                 .O(O[4]));
endmodule
`timescale 1ns / 1ps

module FD8_MXILINX_TIGARI_CTRL(C, 
                               D, 
                               Q);

    input C;
    input [7:0] D;
   output [7:0] Q;
   
   
   (* HU_SET = "Q0_4" *) 
   FD_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) Q0 (.C(C), 
                              .D(D[0]), 
                              .Q(Q[0]));
   (* HU_SET = "Q1_5" *) 
   FD_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) Q1 (.C(C), 
                              .D(D[1]), 
                              .Q(Q[1]));
   (* HU_SET = "Q2_6" *) 
   FD_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) Q2 (.C(C), 
                              .D(D[2]), 
                              .Q(Q[2]));
   (* HU_SET = "Q3_7" *) 
   FD_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) Q3 (.C(C), 
                              .D(D[3]), 
                              .Q(Q[3]));
   (* HU_SET = "Q4_2" *) 
   FD_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) Q4 (.C(C), 
                              .D(D[4]), 
                              .Q(Q[4]));
   (* HU_SET = "Q5_3" *) 
   FD_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) Q5 (.C(C), 
                              .D(D[5]), 
                              .Q(Q[5]));
   (* HU_SET = "Q6_1" *) 
   FD_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) Q6 (.C(C), 
                              .D(D[6]), 
                              .Q(Q[6]));
   (* HU_SET = "Q7_0" *) 
   FD_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) Q7 (.C(C), 
                              .D(D[7]), 
                              .Q(Q[7]));
endmodule
`timescale 1ns / 1ps

module X74_138_MXILINX_TIGARI_CTRL(A, 
                                   B, 
                                   C, 
                                   G1, 
                                   G2A, 
                                   G2B, 
                                   Y0, 
                                   Y1, 
                                   Y2, 
                                   Y3, 
                                   Y4, 
                                   Y5, 
                                   Y6, 
                                   Y7);

    input A;
    input B;
    input C;
    input G1;
    input G2A;
    input G2B;
   output Y0;
   output Y1;
   output Y2;
   output Y3;
   output Y4;
   output Y5;
   output Y6;
   output Y7;
   
   wire E;
   
   AND3B2  I_36_48 (.I0(G2B), 
                   .I1(G2A), 
                   .I2(G1), 
                   .O(E));
   NAND4B3  I_36_58 (.I0(C), 
                    .I1(B), 
                    .I2(A), 
                    .I3(E), 
                    .O(Y0));
   NAND4B2  I_36_59 (.I0(C), 
                    .I1(B), 
                    .I2(A), 
                    .I3(E), 
                    .O(Y1));
   NAND4B2  I_36_60 (.I0(C), 
                    .I1(A), 
                    .I2(B), 
                    .I3(E), 
                    .O(Y2));
   NAND4B1  I_36_61 (.I0(C), 
                    .I1(A), 
                    .I2(B), 
                    .I3(E), 
                    .O(Y3));
   NAND4B2  I_36_62 (.I0(B), 
                    .I1(A), 
                    .I2(C), 
                    .I3(E), 
                    .O(Y4));
   NAND4B1  I_36_63 (.I0(B), 
                    .I1(C), 
                    .I2(A), 
                    .I3(E), 
                    .O(Y5));
   NAND4B1  I_36_64 (.I0(A), 
                    .I1(C), 
                    .I2(B), 
                    .I3(E), 
                    .O(Y6));
   NAND4  I_36_65 (.I0(C), 
                  .I1(B), 
                  .I2(A), 
                  .I3(E), 
                  .O(Y7));
endmodule
`timescale 1ns / 1ps

module TIGARI_CTRL(Atari_A0, 
                   Atari_A1, 
                   Atari_A2, 
                   Atari_A3, 
                   Atari_A4, 
                   Atari_A5, 
                   Atari_A6, 
                   Atari_A7, 
                   Atari_CCTL, 
                   Atari_PHI2, 
                   Atari_RW, 
                   CS_SELECT_IN, 
                   Ready_1, 
                   Ready_2, 
                   AUDCTL1, 
                   AUDCTL2, 
                   CE_WE_IC1, 
                   CE_WE_IC2, 
                   DATA_INTERNAL, 
                   D5A0, 
                   D5C0, 
                   D5E0, 
                   D500, 
                   D520, 
                   D540, 
                   D560, 
                   D580, 
                   NEG_AUDCTL1, 
                   NEG_AUDCTL2, 
                   ATARI_DATA);

    input Atari_A0;
    input Atari_A1;
    input Atari_A2;
    input Atari_A3;
    input Atari_A4;
    input Atari_A5;
    input Atari_A6;
    input Atari_A7;
    input Atari_CCTL;
    input Atari_PHI2;
    input Atari_RW;
    input CS_SELECT_IN;
    input Ready_1;
    input Ready_2;
   output AUDCTL1;
   output AUDCTL2;
   output CE_WE_IC1;
   output CE_WE_IC2;
   output [7:0] DATA_INTERNAL;
   output D5A0;
   output D5C0;
   output D5E0;
   output D500;
   output D520;
   output D540;
   output D560;
   output D580;
   output NEG_AUDCTL1;
   output NEG_AUDCTL2;
    inout [7:0] ATARI_DATA;
   
   wire [7:0] DATA_OUT;
   wire Internal_OE;
   wire XLXN_8;
   wire XLXN_9;
   wire XLXN_27;
   wire XLXN_31;
   wire XLXN_36;
   wire XLXN_37;
   wire XLXN_68;
   wire XLXN_80;
   wire XLXN_92;
   wire XLXN_93;
   wire XLXN_94;
   wire XLXN_95;
   wire XLXN_96;
   wire XLXN_98;
   wire XLXN_104;
   wire XLXN_105;
   wire XLXN_145;
   wire XLXN_192;
   wire XLXN_193;
   wire XLXN_194;
   wire AUDCTL1_DUMMY;
   wire AUDCTL2_DUMMY;
   
   assign AUDCTL1 = AUDCTL1_DUMMY;
   assign AUDCTL2 = AUDCTL2_DUMMY;
   NOR3B1  XLXI_1 (.I0(Atari_PHI2), 
                  .I1(Atari_RW), 
                  .I2(CS_SELECT_IN), 
                  .O(XLXN_27));
   (* HU_SET = "XLXI_3_8" *) 
   X74_138_MXILINX_TIGARI_CTRL  XLXI_3 (.A(Atari_A5), 
                                       .B(Atari_A6), 
                                       .C(Atari_A7), 
                                       .G1(XLXN_8), 
                                       .G2A(Atari_CCTL), 
                                       .G2B(XLXN_9), 
                                       .Y0(D500), 
                                       .Y1(D520), 
                                       .Y2(D540), 
                                       .Y3(D560), 
                                       .Y4(D580), 
                                       .Y5(D5A0), 
                                       .Y6(D5C0), 
                                       .Y7(D5E0));
   VCC  XLXI_4 (.P(XLXN_8));
   GND  XLXI_5 (.G(XLXN_9));
   NAND2  XLXI_6 (.I0(Atari_RW), 
                 .I1(Atari_PHI2), 
                 .O(Internal_OE));
   INV  XLXI_8 (.I(XLXN_27), 
               .O(XLXN_192));
   (* HU_SET = "XLXI_10_9" *) 
   FD8_MXILINX_TIGARI_CTRL  XLXI_10 (.C(XLXN_192), 
                                    .D(ATARI_DATA[7:0]), 
                                    .Q(DATA_INTERNAL[7:0]));
   (* HU_SET = "XLXI_11_11" *) 
   FDC_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) XLXI_11 (.C(XLXN_93), 
                                    .CLR(XLXN_80), 
                                    .D(XLXN_31), 
                                    .Q(XLXN_36));
   (* HU_SET = "XLXI_12_12" *) 
   FDC_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) XLXI_12 (.C(Ready_1), 
                                    .CLR(XLXN_80), 
                                    .D(XLXN_31), 
                                    .Q(XLXN_37));
   VCC  XLXI_13 (.P(XLXN_31));
   INV  XLXI_14 (.I(XLXN_36), 
                .O(CE_WE_IC1));
   INV  XLXI_15 (.I(XLXN_37), 
                .O(XLXN_193));
   (* HU_SET = "XLXI_29_10" *) 
   BUFT8_MXILINX_TIGARI_CTRL  XLXI_29 (.I(DATA_OUT[7:0]), 
                                      .T(XLXN_68), 
                                      .O(ATARI_DATA[7:0]));
   OR3B1  XLXI_30 (.I0(Atari_A2), 
                  .I1(CS_SELECT_IN), 
                  .I2(Internal_OE), 
                  .O(XLXN_68));
   (* HU_SET = "XLXI_46_14" *) 
   FDC_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) XLXI_46 (.C(XLXN_105), 
                                    .CLR(XLXN_98), 
                                    .D(XLXN_94), 
                                    .Q(XLXN_95));
   VCC  XLXI_47 (.P(XLXN_94));
   (* HU_SET = "XLXI_48_13" *) 
   FDC_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) XLXI_48 (.C(Ready_2), 
                                    .CLR(XLXN_98), 
                                    .D(XLXN_94), 
                                    .Q(XLXN_96));
   INV  XLXI_49 (.I(XLXN_95), 
                .O(CE_WE_IC2));
   INV  XLXI_50 (.I(XLXN_96), 
                .O(XLXN_194));
   (* HU_SET = "XLXI_77_15" *) 
   FDC_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) XLXI_77 (.C(XLXN_27), 
                                    .CLR(XLXN_145), 
                                    .D(Atari_A0), 
                                    .Q(XLXN_92));
   (* HU_SET = "XLXI_78_16" *) 
   FDC_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) XLXI_78 (.C(XLXN_27), 
                                    .CLR(XLXN_145), 
                                    .D(Atari_A1), 
                                    .Q(XLXN_104));
   AND2  XLXI_79 (.I0(XLXN_80), 
                 .I1(XLXN_98), 
                 .O(XLXN_145));
   OR2B1  XLXI_80 (.I0(XLXN_92), 
                  .I1(XLXN_192), 
                  .O(XLXN_93));
   OR2B1  XLXI_81 (.I0(XLXN_104), 
                  .I1(XLXN_192), 
                  .O(XLXN_105));
   BUF  XLXI_82 (.I(Ready_2), 
                .O(DATA_OUT[7]));
   BUF  XLXI_83 (.I(Ready_1), 
                .O(DATA_OUT[6]));
   VCC  XLXI_84 (.P(DATA_OUT[2]));
   VCC  XLXI_85 (.P(DATA_OUT[4]));
   GND  XLXI_87 (.G(DATA_OUT[0]));
   GND  XLXI_88 (.G(DATA_OUT[1]));
   GND  XLXI_89 (.G(DATA_OUT[3]));
   GND  XLXI_90 (.G(DATA_OUT[5]));
   (* HU_SET = "XLXI_93_17" *) 
   FD_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) XLXI_93 (.C(XLXN_192), 
                                   .D(Atari_A3), 
                                   .Q(AUDCTL1_DUMMY));
   (* HU_SET = "XLXI_94_18" *) 
   FD_MXILINX_TIGARI_CTRL #( .INIT(1'b0) ) XLXI_94 (.C(XLXN_192), 
                                   .D(Atari_A4), 
                                   .Q(AUDCTL2_DUMMY));
   INV  XLXI_95 (.I(AUDCTL1_DUMMY), 
                .O(NEG_AUDCTL1));
   INV  XLXI_96 (.I(AUDCTL2_DUMMY), 
                .O(NEG_AUDCTL2));
   INV  XLXI_97 (.I(XLXN_193), 
                .O(XLXN_80));
   INV  XLXI_98 (.I(XLXN_194), 
                .O(XLXN_98));
endmodule
